import * as Yup from "yup";
import i18n from "../../i18n";
export default Yup.object().shape({
  mail: Yup.string()
    .email(i18n.t("forgotPassword.emailFormat"))
    .required(i18n.t("login.usernameRequired")),
  password: Yup.string()
    .required(i18n.t("login.passwordRequired"))
    .min(8, i18n.t("login.passwordLength"))
    .matches(
      /^(?=.*[a-z])(?=.*[A-Z])(?=.*[#$^+=!*()@%&]).{8,25}$/g,
      i18n.t("password.strongPassword")
    ),
});
